package com.example.demo;

public class ModifySpecParams {
    private String accessKeyId;
    private String accessKeySecret;
    private String regionId;
    private String DBInstanceId;
    private String direction;
    private String payType;
    private double maxCapacity;
    private double minCapacity;
    private boolean autoPause;
    private boolean switchForce;

    public String getAccessKeyId() {
        return accessKeyId;
    }

    public void setAccessKeyId(String accessKeyId) {
        this.accessKeyId = accessKeyId;
    }

    public String getAccessKeySecret() {
        return accessKeySecret;
    }

    public void setAccessKeySecret(String accessKeySecret) {
        this.accessKeySecret = accessKeySecret;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getDBInstanceId() {
        return DBInstanceId;
    }

    public void setDBInstanceId(String DBInstanceId) {
        this.DBInstanceId = DBInstanceId;
    }

    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public double getMaxCapacity() {
        return maxCapacity;
    }

    public void setMaxCapacity(double maxCapacity) {
        this.maxCapacity = maxCapacity;
    }

    public double getMinCapacity() {
        return minCapacity;
    }

    public void setMinCapacity(double minCapacity) {
        this.minCapacity = minCapacity;
    }

    public boolean isAutoPause() {
        return autoPause;
    }

    public void setAutoPause(boolean autoPause) {
        this.autoPause = autoPause;
    }

    public boolean isSwitchForce() {
        return switchForce;
    }

    public void setSwitchForce(boolean switchForce) {
        this.switchForce = switchForce;
    }
}
